#!/bin/sh
# -----------------------------------------------------------------------------
# run.sh - Unix Run Script for Apache Cocoon
#
# $Id: run.sh,v 1.2.2.1 2002/06/15 16:45:15 shannon Exp $
# -----------------------------------------------------------------------------

# ----- Verify and Set Required Environment Variables -------------------------

if [ "$JAVA_HOME" = "" ] ; then
  echo You must set JAVA_HOME to point at your Java Development Kit installation
  exit 1
fi

# ----- Verify and Set Required Environment Variables -------------------------

if [ "$TERM" = "cygwin" ] ; then
  S=';'
else
  S=':'
fi

if [ "$COCOON_LIB" = "" ] ; then
  COCOON_LIB=./lib
fi

if [ "$COCOON_WORK" = "" ] ; then
  COCOON_WORK=./work
  rm -rf $COCOON_WORK
  mkdir $COCOON_WORK
fi

# ----- Set Up The Runtime Classpath ------------------------------------------

CP=\"`echo ./build/cocoon/*.jar | tr '[:space:]' $S``echo $COCOON_LIB/optional/*.jar | tr '[:space:]' $S``echo $COCOON_LIB/core/*.jar | tr '[:space:]' $S``echo $COCOON_LIB/optional/*.jar | tr '[:space:]' $S`$S$JAVA_HOME/lib/tools.jar$S$COCOON_WORK$S$CLASSPATH\"


# ----- Run Cocoon ------------------------------------------------------------

$JAVA_HOME/bin/java $COCOON_OPTS -classpath $CP org.apache.cocoon.Main $*



