 <xsl:stylesheet 
  xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" 
  xmlns:xform="http://xml.apache.cocoon/xmlform" 
  version = "1.0" > 

   <xsl:output method = "html" omit-xml-declaration = "yes"  /> 
  
   <xsl:template match = "/*" > 
      <html>
        <body>
        Please edit and submit: <br/>
        <xsl:apply-templates select="/form/*"/>
        <hr/>
        <p>
        Copy of input document (sorry for the lousy format, view source to see the xml):
        <pre>
        <xsl:copy-of select="."/>
        </pre>
        </p>
        </body>
      </html>
   </xsl:template> 

   <xsl:template match = "instance" > 
        <form method="post" action="demo2">
          Animal name: <input type="text" name="name" value="{name}"/>
          (hint: try submitting name &lt; 4 or > 10 characters)
          <xsl:call-template name="showErrors">
            <xsl:with-param name="element">/name</xsl:with-param>
          </xsl:call-template>
          <br/>

          Kind: <b><xsl:value-of select="personalInfo/@kind"/></b>
          <br/>
          Animal scope: <input type="text" name="scope" value="{scope}"/>
          (hint: try submitting scope != session or request)
          <xsl:call-template name="showErrors">
            <xsl:with-param name="element">/scope</xsl:with-param>
          </xsl:call-template>
          <br/>

          First Preference: <input type="text" name="preferences[1]" value="{preferences[1]}"/>
          <br/>
          Second Preference: <input type="text" name="preferences[2]" value="{preferences[2]}"/>
          <br/>

          <input type="submit"/>
        </form>
        <br/>

        Counter: <xsl:value-of select="@count"/>
   </xsl:template> 

   <xsl:template name = "showErrors"> 
     <xsl:param name = "element" /> 
     <xsl:for-each select="/form/violation[path=$element]">     
       <br/>
       <font color="red">
         * <xsl:value-of select="message"/>
       </font>
     </xsl:for-each>
   </xsl:template>


   <xsl:template match = "*" /> 
   
 </xsl:stylesheet> 












